WordPress.org

Ready to get started?Download WordPress

Plugin Directory

Gravity Forms HubSpot Add-on

Gravity Forms HubSpot Add-On uses the HubSpot Lead API to allow you to send your Gravity Forms based landing pages to send lead information to HubSpot

How do I set a custom Lead Source?

This feature uses gf_hubspot_lead_source is the filter.

Add the following to your theme's functions.php file. Modify as you see fit:

add_filter('gf_hubspot_lead_source', 'create_lead_source', 1, 3);

function create_lead_source($lead_source, $form_meta, $data) {
    // $lead_source - What was about to be used (normally Gravity Forms Form Title)
    // $form_meta - Gravity Forms form details
    // $data - The data to be passed to HubSpot via Lead API

    return $lead_source; // Return something else if you want to.
}

Can I use HubSpot Custom Fields?

When you are trying to map a custom field, you need to set either the "Admin Label" for the input (in the Advanced tab of each field in the Gravity Forms form editor) or the Parameter Name (in Advanced tab, visible after checking "Allow field to be populated dynamically") to be the field name of the custom field as shown in HubSpot. For example, a Custom Field with a Field Label "Web Source" could have an Lead API Name of "WebSource" or "SfCampaignId" or "HS_WS_Forms" or something else entirely.

You can find your custom fields in the HubSpot Form Manager.

For more information on custom fields, sread this HubSpot.com Help Article

Does this plugin require Gravity Forms?

Yes, this plugin extends the amazing Gravity Forms plugin. Don't use Gravity Forms? Buy the plugin and start using this add-on plugin!

What's the license for this plugin?

This plugin is released under the GPL compatible MIT License.

What are my support options

At present there is no specified support. Once a non-beta version is released support options will be provided.

Requires: 2.8 or higher
Compatible up to: 3.3.2
Last Updated: 2012-6-9
Downloads: 923

Ratings

1 star
1.7 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
0,1,0